Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit.search
Class HyperSearchFolderNode

    java.lang.Object
      org.gjt.sp.jedit.search.HyperSearchFolderNode

    public class HyperSearchFolderNode

extends java.lang.Object

Constructor Summary
`HyperSearchFolderNode(java.io.File nodeFile, boolean showFullPath)`

Method Summary
`java.io.File` | `getNodeFile()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HyperSearchFolderNode

    public HyperSearchFolderNode(java.io.File nodeFile,
                                 boolean showFullPath)

Method Detail

### getNodeFile

    public java.io.File getNodeFile()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD